/*
네오픽셀과 터치센스 완성
각각의 네오픽셀이 잘 제어됨

 */
#include <Adafruit_NeoPixel.h>
#include <CapacitiveSensor.h>

#define PIN A0

Adafruit_NeoPixel strip = Adafruit_NeoPixel(11, PIN, NEO_GRB + NEO_KHZ800);

CapacitiveSensor   cs_2_3 = CapacitiveSensor(2,3);        
CapacitiveSensor   cs_2_4 = CapacitiveSensor(2,4);       
CapacitiveSensor   cs_2_5 = CapacitiveSensor(2,5);        
CapacitiveSensor   cs_2_6 = CapacitiveSensor(2,6);        
CapacitiveSensor   cs_2_7 = CapacitiveSensor(2,7);        
CapacitiveSensor   cs_2_8 = CapacitiveSensor(2,8);        
CapacitiveSensor   cs_2_9 = CapacitiveSensor(2,9);        
CapacitiveSensor   cs_2_10 = CapacitiveSensor(2,10);        
CapacitiveSensor   cs_2_11 = CapacitiveSensor(2,11);        
CapacitiveSensor   cs_2_12 = CapacitiveSensor(2,12);       
CapacitiveSensor   cs_2_13 = CapacitiveSensor(2,13); 
#define NUMPIXELS      11

void setup()                    
{
  cs_2_3.set_CS_AutocaL_Millis(0xFFFFFFFF);     
  Serial.begin(9600);
  strip.begin();
//  strip.show(); 
  
    for(int i=0;i<NUMPIXELS;i++){

    strip.setPixelColor(i, strip.Color(150,150,150)); // Moderately bright green color.

    strip.show(); // This sends the updated pixel color to the hardware.
    }
}

int a=12, a1 = 0,  a2 = 0,  a3 = 0, a4=0, a5=0;
int a6 = 0,  a7 = 0,  a8 = 0, a9=0, a10, a11=0;
int c=1000; 
int tsNo = 0;

void loop(){

  int tsNo=cs();
  Serial.println(tsNo);
//  delay(10);
//  rainbow(neoNo, 20); //한줄씩 칼라가 변함
    uint16_t j;
    int neoNo = tsNo;
    int maxNo = 256;
    for(j=0; j<256; j++){
      strip.setPixelColor(neoNo, Wheel(j));
      strip.show();
      j= j+10;
//      delay(1);
      int tsNo=cs();     
      if (tsNo != neoNo){
        neoNo = tsNo;
      }
    }
}


/*void rainbow(uint16_t k, uint8_t wait){
  uint16_t j;
  uint16_t newk=k;
    for(j=0; j<256; j++){
      strip.setPixelColor(newk, Wheel(j));
      strip.show();
      delay(wait);

}


  }


*/
uint32_t Wheel(uint16_t WheelPos) {
  WheelPos = 255 - WheelPos;
  if(WheelPos < 127) {
    return strip.Color(255, WheelPos*2,  127+WheelPos);
  }
  if(WheelPos >= 127) {
    WheelPos -= 128;
    return strip.Color(255, 255 - WheelPos * 2, 255+WheelPos);
  }
}

int cs()                    
{
    long start = millis();
    long total1 =  cs_2_3.capacitiveSensor(30);
    long total2 =  cs_2_4.capacitiveSensor(30);
    long total3 =  cs_2_5.capacitiveSensor(30);
    long total4 =  cs_2_6.capacitiveSensor(30);
    long total5 =  cs_2_7.capacitiveSensor(30);
    long total6 =  cs_2_8.capacitiveSensor(30);
    long total7 =  cs_2_9.capacitiveSensor(30);
    long total8 =  cs_2_10.capacitiveSensor(30);
    long total9 =  cs_2_11.capacitiveSensor(30);
    long total10 =  cs_2_12.capacitiveSensor(30);
    long total11 =  cs_2_13.capacitiveSensor(30);


  if (total1 >= c){
      a1=0;
      return a1; 
  }
  if (total2 >= c){
      a2=1;
      return a2; 
  }  
  if (total3 >= c){
  a3=2;
 return a3; 
  }  
  if (total4 >= c){
      a4=3;
      return a4; 
  }
  if (total5 >= c){
      a5=4;
      return a5; 
  }  
  if (total6 >= c){
  a6=5;
  return a6;  
  }  
  if (total7 >= c){
      a7=6;
      return a7; 
  }
  if (total8 >= c){
      a8=7;
      return a8;  
  }  
  if (total9 >= c){
  a9=8;
  return a9; 
  }    
    if (total10 >= c){
      a10=9;
      return a10; 
  }  
  if (total11 >= c){
  a11=10;
  return a11;  
  }    
//    delay(10);                             

    
}
